﻿using System;
using System.Drawing;
using System.Linq;
using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Random random = new Random(0);

            int pointCount = 20;

            double[] xValueArray = DataGen.Consecutive(pointCount);
            double[] yValueArray = DataGen.RandomNormal(random, pointCount, mean : 20, stdDev : 2);

            double[] yErrorArray = DataGen.RandomNormal(random, pointCount).Select(e => Math.Abs(e)).ToArray();

            plot.AddScatter(xValueArray, yValueArray, Color.Blue, lineStyle : LineStyle.Dot);

            plot.AddErrorBars(xValueArray, yValueArray, null, yErrorArray, Color.Blue);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}